Bug 1119558 - Automated client testing on Fedora
Summary: Automated client testing on Fedora
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Zanata
Classification: Retired
Component: Component-zanata-client
Version: development
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Ding-Yi Chen
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 04:15 UTC by David Mason
Modified: 2015-07-31 01:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: 5
Clone Of:
Environment:
Last Closed: 2015-07-31 01:16:27 UTC


Attachments (Terms of Use)

Description David Mason 2014-07-15 04:15:32 UTC
Description of problem:
Changes to dependencies in Fedora can break the Zanata client regardless how thoroughly the client has been tested at the time of release. This is difficult or impossible to avoid in the Fedora ecosystem, but we can minimize the ill effects by learning immediately if the Zanata client is broken, allowing quicker fixes.

We should set up a Fedora install for each of the 3 latest versions of Fedora, and have a client test script run on them.

 - The script can be initiated from Jenkins via SSH. Failure reporting can be done through Jenkins, as with existing builds.
 - The script should run yum update, build an RPM for the appropriate client version, install the RPM, then run tests.
 - tests should include
   - installation of client from RPM
   - push source and translation files
   - pull source and translation files


Rawhide is the most important to test frequently, since it changes more often. We probably want to maintain a branch of the client for each version of Fedora, to which we can apply platform-specific fixes.

Comment 1 Carlos Munoz 2015-02-19 04:04:07 UTC
These tests will use a specified host for the Zanata server.
There are two things to test:
1. The released client RPM, which comes from updates-testing.
2. A custom-built RPM using the latest spec file from rawhide, and the latest code from a branch.


Frequency for these tests is configurable (TBD)

Comment 2 Zanata Migrator 2015-07-31 01:16:27 UTC
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-394


Note You need to log in before you can comment on or make changes to this bug.